List sell quote optionals
curl --request GET \
--url https://api.collectpure.com/execution/v2/sell/quotes/{quoteId}/optionals \
--header 'x-api-key: <api-key>'import requests
url = "https://api.collectpure.com/execution/v2/sell/quotes/{quoteId}/optionals"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.collectpure.com/execution/v2/sell/quotes/{quoteId}/optionals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"optionals": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"fee": 123,
"selected": true,
"enabled": true,
"disabledReason": "<string>",
"disclaimer": {
"label": "<string>",
"url": "<string>"
}
}
],
"partial": true,
"errors": [
{
"id": "<string>",
"message": "<string>"
}
]
}
}Execution - Sell
List sell quote optionals
Returns the addon catalog for a sell quote, including eligibility and fees. A partial catalog is returned when individual addon resolvers fail.
Requires role: stytch_admin
Rate limit: 120 requests burst, 60 requests/minute sustained.
GET
/
execution
/
v2
/
sell
/
quotes
/
{quoteId}
/
optionals
List sell quote optionals
Authorizations
API key for authentication
Path Parameters
The quote ID (cart ID) to list available optionals for
Was this page helpful?
⌘I